function mo(szoveg)
{
window.status=szoveg;
}

function mu()
{
window.status='';
}


var win= null;
function NewWindow(mypage,myname,w,h,scroll)
{
  var winl = (screen.width-w)/2;
  var wint = (screen.height-h)/2;
  var settings  ='height='+h+',';
      settings +='width='+w+',';
      settings +='top='+wint+',';
      settings +='left='+winl+',';
      settings +='scrollbars='+scroll+',';
      settings +='resizable=yes';
  win=window.open(mypage,myname,settings);
  if(parseInt(navigator.appVersion) >= 4){win.window.focus();}
}

function email(email) 
 {
  NewWindow("email.php?email="+email,"email",400,300,"no");
 }

function regisztracio(azonosito) 
 {
  NewWindow("regisztracio.php?status=regisztracio&azonosito="+azonosito,"regisztracio",320,300,"no");
 }

function userinfo(azonosito,uuserid) 
 {
  NewWindow("userinfo.php?azonosito="+azonosito+"&uuserid="+uuserid,"userinfo",400,400,"no");
 }

function beallitasok(azonosito) 
 {
  NewWindow("beallitasok.php?azonosito="+azonosito,"beallitasok",600,500,"yes");
 }


function modpass(azonosito) 
 {
  NewWindow("regisztracio.php?status=modpass&azonosito="+azonosito,"modpass",320,350,"no");
 }

function lostpass(azonosito) 
 {
  NewWindow("regisztracio.php?status=lostpass&azonosito="+azonosito,"lostpass",320,300,"no");
 }

function login(azonosito) 
 {
  NewWindow("regisztracio.php?status=login&azonosito="+azonosito,"lostpass",320,300,"no");
 }

function logout(azonosito) 
 {
  NewWindow("regisztracio.php?status=logout&azonosito="+azonosito,"logout",320,300,"no");
 }

function moderalas(azonosito) 
 {
  NewWindow("regisztracio.php?status=moderalas&azonosito="+azonosito,"moderalas",320,300,"no");
 }

function admin(azonosito) 
 {
  NewWindow("admin.php?azonosito="+azonosito,"admin",600,550,"yes");
 }


function DoP(action) {
	var rvmsg;
	var cmsg = document.newmessage.message.value;

	if (action == "url") {
	var thisURL = prompt("A link URL címe (http:// vagy ftp:// előtaggal!)", "http://");
	if (thisURL.length>7)
	{
	 var thisTitle = prompt("Mi a link neve?", "");
	}
	var urlcode = "[url="+thisURL+"]"+thisTitle+"[/url]";
	rvmsg = cmsg+urlcode;
	if (thisURL.length>8 && thisTitle.length>1)
		{
		document.newmessage.message.value=rvmsg;
		}
	document.newmessage.message.focus();
	return;
	}
	
	if (action == "img") {
	var thisImage = prompt("A beszúrandó kép URL-je (http:// előtaggal!)", "http://");
	var imagecode = "[img]"+thisImage+"[/img]";
	rvmsg = cmsg+imagecode;
	if (thisImage.length>8)
		{
		document.newmessage.message.value=rvmsg;
		}
	document.newmessage.message.focus();
	return;
	}
}


function forumhelp() 
 {
 NewWindow("/faq/forumhelp.html","forumhelp",600,400,"yes"); 
 }

function szmajlik() 
 {
 NewWindow("forumfaces.php","forumfaces",450,200,"no");
 }

var href=document.location.href;
function no(id)
{
 document.newmessage.no_ref.value=id;
 if (navigator.userAgent.indexOf("Opera")==-1) document.location.replace(href+'#TOP');
 document.newmessage.message.focus();
}

mu();